Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles
Interface Controller

All Known Implementing Classes:
  ActionController, ControllerSupport, UrlController

    public interface Controller

A controller is a piece of code called before rendering a jsp page. A controller can be associated to a tile. See <insert> or <definition> for association syntax.

Method Summary
`void` | `execute(ComponentContext tileContext, HttpServletRequest request, HttpServletResponse response, ServletContext servletContext)` Method associated to a tile and called immediately before the tile is included.
`void` | `perform(ComponentContext tileContext, HttpServletRequest request, HttpServletResponse response, ServletContext servletContext)` Deprecated. Use execute() instead. This will be removed after Struts 1.2.

Method Detail

### perform

    void perform(ComponentContext tileContext,
                 HttpServletRequest request,
                 HttpServletResponse response,
                 ServletContext servletContext)
                 throws ServletException,
                        IOException

  Deprecated. Use execute() instead. This will be removed after Struts 1.2.

  Method associated to a tile and called immediately before the tile is included.

  Parameters:
    `tileContext` - Current tile context.
    `request` - Current request
    `response` - Current response
    `servletContext` - Current servlet context
  Throws:
    `ServletException`
    `IOException`

### execute

    void execute(ComponentContext tileContext,
                 HttpServletRequest request,
                 HttpServletResponse response,
                 ServletContext servletContext)
                 throws Exception

  Method associated to a tile and called immediately before the tile is included.

  Parameters:
    `tileContext` - Current tile context.
    `request` - Current request
    `response` - Current response
    `servletContext` - Current servlet context
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.